
Redmine - Defect #7396

"Internal error" when file upload on some files

2011-01-21 14:45 - Denis Podgornov

Status: Closed Start date: 2011-01-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

svn info

Path: .

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 4734

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 4734

@RAILS_ENV=production script/about

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is

deprecated and will be removed on or after August 2010.  Use #requirement

About your application's environment

Ruby version              1.8.7 (amd64-freebsd8)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /usr/local/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Work Time plugin   0.0.62

@

/!\ FAILSAFE /!\  Fri Jan 21 16:37:50 +0300 2011

Status: 500 Internal Server Error

bad content body

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/utils.rb:351:in `parse_multipart'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/utils.rb:323:in `loop'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/utils.rb:323:in `parse_multipart'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/request.rb:133:in `POST'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:15:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/params_parser.rb:15:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/session/cookie_store.rb:93:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/failsafe.rb:26:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:106:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/content_length.rb:13:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/fastcgi.rb:58:in `serve'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:103:in `process_request'
/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:153:in `with_signal_handler'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:101:in `process_request'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:78:in `process_each_request'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:77:in `each'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:77:in `process_each_request'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:76:in `catch'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:76:in `process_each_request'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:51:in `process!'

/usr/local/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:23:in `process!'

/usr/local/www/redmine/public/dispatch.fcgi:24

History

#1 - 2011-01-22 13:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

A /!\ FAILSAFE /!\ error occurs when rack fails to parse the request sent by the browser.

This is a browser/rack issue and I can't fix anything in Redmine.

#2 - 2011-01-24 09:38 - Denis Podgornov

it can be simle fixed by upgrading rack to 1.2.1 and rails to >= 2.3.6
